﻿using System;
using Eco.Gameplay.Components;
using Eco.Gameplay.Items;
using Eco.Gameplay.Skills;
using Eco.Gameplay.Systems.TextLinks;
using Eco.Mods.TechTree;
using Eco.Shared.Localization;

namespace Eco.Mods.Jagganot.CheesTableAndPrepWork
{
	[RequiresSkill(typeof(SmeltingSkill), 0)]
	public class SmeltWashedCopperRecipe : Recipe
	{
		public SmeltWashedCopperRecipe()
		{
			base.Products = new CraftingElement[]
			{
				new CraftingElement<CopperIngotItem>(1f),
				new CraftingElement<SlagItem>(typeof(SmeltingSkill), 2f, SmeltingSkill.MultiplicativeStrategy, null)
			};
			base.Ingredients = new CraftingElement[]
			{
				new CraftingElement<WashedCopperOreItem>(0.25f)
			};
			base.Initialize(Localizer.DoStr("Smelt Washed Copper"), typeof(SmeltWashedCopperRecipe));
			base.CraftMinutes = Recipe.CreateCraftTimeValue(typeof(SmeltWashedCopperRecipe), UILinkExtensions.UILink(this), 0.5f, typeof(SmeltingSkill), new Type[]
			{
				typeof(SmeltingFocusedSpeedTalent)
			});
			CraftingComponent.AddRecipe(typeof(BlastFurnaceObject), this);
		}
	}
}
