﻿using System;
using Eco.Gameplay.Components;
using Eco.Gameplay.Items;
using Eco.Gameplay.Skills;
using Eco.Gameplay.Systems.TextLinks;
using Eco.Mods.TechTree;
using Eco.Shared.Localization;

namespace Eco.Mods.Jagganot.CheesTableAndPrepWork
{
	[RequiresSkill(typeof(SmeltingSkill), 0)]
	public class WashedGoldIngotRecipe : Recipe
	{
		public WashedGoldIngotRecipe()
		{
			base.Products = new CraftingElement[]
			{
				new CraftingElement<GoldIngotItem>(1f),
				new CraftingElement<SlagItem>(typeof(SmeltingSkill), 4f, SmeltingSkill.MultiplicativeStrategy, null)
			};
			base.Ingredients = new CraftingElement[]
			{
				new CraftingElement<WashedGoldOreItem>(1f)
			};
			base.CraftMinutes = Recipe.CreateCraftTimeValue(typeof(WashedGoldIngotRecipe), UILinkExtensions.UILink(Item.Get<GoldIngotItem>()), 4f, typeof(SmeltingSkill), new Type[]
			{
				typeof(SmeltingFocusedSpeedTalent)
			});
			base.Initialize(Localizer.DoStr("Gold Ingot"), typeof(WashedGoldIngotRecipe));
			CraftingComponent.AddRecipe(typeof(BloomeryObject), this);
		}
	}
}
