﻿using System;
using Eco.Gameplay.Components;
using Eco.Gameplay.Items;
using Eco.Gameplay.Skills;
using Eco.Gameplay.Systems.TextLinks;
using Eco.Mods.TechTree;
using Eco.Shared.Localization;

namespace Eco.Mods.Jagganot.CheesTableAndPrepWork
{
	[RequiresSkill(typeof(SmeltingSkill), 0)]
	public class WashedIronIngotRecipe : Recipe
	{
		public WashedIronIngotRecipe()
		{
			base.Products = new CraftingElement[]
			{
				new CraftingElement<IronIngotItem>(1f),
				new CraftingElement<SlagItem>(typeof(SmeltingSkill), 2f, SmeltingSkill.MultiplicativeStrategy, null)
			};
			base.Ingredients = new CraftingElement[]
			{
				new CraftingElement<WashedIronOreItem>(1f)
			};
			base.CraftMinutes = Recipe.CreateCraftTimeValue(typeof(WashedIronIngotRecipe), UILinkExtensions.UILink(Item.Get<IronIngotItem>()), 3f, typeof(SmeltingSkill), new Type[]
			{
				typeof(SmeltingFocusedSpeedTalent)
			});
			base.Initialize(Localizer.DoStr("Iron Ingot"), typeof(WashedIronIngotRecipe));
			CraftingComponent.AddRecipe(typeof(BloomeryObject), this);
		}
	}
}
