﻿using System;
using Eco.Gameplay.Components;
using Eco.Gameplay.Items;
using Eco.Gameplay.Skills;
using Eco.Gameplay.Systems.TextLinks;
using Eco.Mods.TechTree;
using Eco.Shared.Localization;

namespace Eco.Mods.Jagganot.CheesTableAndPrepWork
{

	[RequiresSkill(typeof(SmeltingSkill), 0)]
	public class WashedIronOreRecipe : Recipe
	{
		public WashedIronOreRecipe()
		{
			base.Products = new CraftingElement[]
			{
				new CraftingElement<WashedIronOreItem>(1f),
				new CraftingElement<TailingsItem>(typeof(SmeltingSkill), 2f, SmeltingSkill.MultiplicativeStrategy, null)
			};
			base.Ingredients = new CraftingElement[]
			{
				new CraftingElement<IronOreItem>(typeof(SmeltingSkill), 20f, SmeltingSkill.MultiplicativeStrategy, null)
			};
			base.CraftMinutes = Recipe.CreateCraftTimeValue(typeof(WashedIronOreRecipe), UILinkExtensions.UILink(Item.Get<WashedIronOreItem>()), 1f, typeof(SmeltingSkill), new Type[]
			{
				typeof(SmeltingFocusedSpeedTalent)
			});
			base.Initialize(Localizer.DoStr("Washed Iron Ore"), typeof(WashedIronOreRecipe));
			CraftingComponent.AddRecipe(typeof(OreWasherObject), this);
		}
	}
}
