﻿using System;
using Eco.Gameplay.Components;
using Eco.Gameplay.Items;
using Eco.Gameplay.Skills;
using Eco.Gameplay.Systems.TextLinks;
using Eco.Shared.Localization;
using Eco.Shared.Serialization;

namespace Eco.Mods.TechTree
{
	[Serialized]
	[RequiresSkill(typeof(SmeltingSkill), 0)]
	public class OreWasherItemRecipe : Recipe
	{
		public OreWasherItemRecipe()
		{
			base.Products = new CraftingElement[]
			{
				new CraftingElement<OreWasherItem>(1f)
			};
			base.Ingredients = new CraftingElement[]
			{
				new CraftingElement<IronIngotItem>(typeof(SmeltingSkill), 20f, SmeltingSkill.MultiplicativeStrategy, null),
				new CraftingElement<CopperIngotItem>(typeof(SmeltingSkill), 20f, SmeltingSkill.MultiplicativeStrategy, null),
				new CraftingElement<GoldIngotItem>(typeof(SmeltingSkill), 20f, SmeltingSkill.MultiplicativeStrategy, null)
			};
			base.CraftMinutes = Recipe.CreateCraftTimeValue(typeof(OreWasherItemRecipe), UILinkExtensions.UILink(Item.Get<OreWasherItem>()), 0.1f, typeof(SmeltingSkill), Array.Empty<Type>());
			base.Initialize(Localizer.DoStr("Ore Washer"), typeof(OreWasherItemRecipe));
			CraftingComponent.AddRecipe(typeof(AnvilObject), this);
		}
	}
}
