﻿using System;
using Eco.Gameplay.Components;
using Eco.Gameplay.Items;
using Eco.Gameplay.Skills;
using Eco.Gameplay.Systems.TextLinks;
using Eco.Shared.Localization;

namespace Eco.Mods.TechTree
{
	[RequiresSkill(typeof(SmeltingSkill), 0)]
	public class SiftGoldRecipe : Recipe
	{
		public SiftGoldRecipe()
		{
			base.Products = new CraftingElement[]
			{
				new CraftingElement<GoldOreItem>(1f)
			};
			base.Ingredients = new CraftingElement[]
			{
				new CraftingElement<StoneItem>(typeof(SmeltingSkill), 100f, SmeltingSkill.MultiplicativeStrategy, typeof(SmeltingLavishResourcesTalent))
			};
			base.Initialize(Localizer.DoStr("Sift for Gold"), typeof(SiftGoldRecipe));
			this.ExperienceOnCraft = 2f;
			base.CraftMinutes = Recipe.CreateCraftTimeValue(typeof(SiftGoldRecipe), UILinkExtensions.UILink(this), 1f, typeof(SmeltingSkill), new Type[]
			{
				typeof(SmeltingFocusedSpeedTalent),
				typeof(SmeltingParallelSpeedTalent)
			});
			CraftingComponent.AddRecipe(typeof(OreWasherObject), this);
		}
	}
}
